import { Injectable } from '@nestjs/common';
import { BaseService } from '../base/base.service';
import {
  UserProfile,
  db,
  ObjectType,
  Prisma,

} from '@nice/common';
@Injectable()
export class SectionService extends BaseService<Prisma.SectionDelegate> {
  constructor() {
    super(db, ObjectType.SECTION);
  }

  create(args: Prisma.SectionCreateArgs, params?: { staff?: UserProfile }) {
    return super.create(args)
  }
  async update(args: Prisma.SectionUpdateArgs) {
    return super.update(args);
  }


}
